<?php
include 'header.php';
include 'erpc_financeiro_metas_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

if(isset($_POST['nr_ano'])){
    $nr_ano = $_POST['nr_ano'];
}

?>

<div class="block">
  <div class="header">
  <h2>Metas Financeiras <?=$nr_ano; ?></h2>
  </div>
  <div class="content">
  	<?php
    //echo '<pre>' . var_export($_SESSION, true) . '</pre>';
    displayMessagesAndErrors();
    ?>
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible">
        <thead>
          <tr>
            <!-- <th width=02%><input type="checkbox" class="checkall" /></th> -->
			<th width=05%>Mês</th>
            <th width=20%>Receita</th>
            <th width=15%>Despesa</th>
            <th width=20%>Lucro/Prejuízo</th>
			<th width=05%>Lucratividade</th>
			<th width=05%>Editar</th>
			<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php
          $ar_meses = array("Janeiro","Fevereiro","Março","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro");
          
          
          
          $sql    =   "select 	 id
                        		,month(dt_meta) as nr_mes
                                ,vl_meta_receita
                                ,vl_meta_despesa
                                ,vl_meta_lucro_prejuizo
                                ,vl_meta_lucratividade 
                        	from erpc_financeiro_metas 
                            where YEAR(dt_meta) = $nr_ano
                                and st_ativo = 1
                            order by dt_meta asc";
          
          //echo $sql . "<br><br>";
          $resultado  =   mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
          if(mysqli_num_rows($resultado) > 0){
              while($registro = mysqli_fetch_assoc($resultado)){
                      $id   = $registro['id'];
                      $id   = base64_encode($id);
                      $nr_mes = $registro['nr_mes'];
                      $vl_meta_receita =  $registro['vl_meta_receita']; 
                      $vl_meta_receita = 'R$ ' . number_format($vl_meta_receita, 2, ',', '.');
                      $vl_meta_despesa =  $registro['vl_meta_despesa'];
                      $vl_meta_despesa = 'R$ ' . number_format($vl_meta_despesa, 2, ',', '.');
                      $vl_meta_lucro   =  $registro['vl_meta_lucro_prejuizo'];
                      $vl_meta_lucro = 'R$ ' . number_format($vl_meta_lucro, 2, ',', '.');
                      $vl_meta_lucratividade = $registro['vl_meta_lucratividade'];
                      echo "<tr>";
                      echo "<td>" . $ar_meses[$nr_mes-1] . "</td>";
                      echo "<td>$vl_meta_receita</td>";
                      echo "<td>$vl_meta_despesa</td>";
                      echo "<td>$vl_meta_lucro</td>";
                      echo "<td>" . number_format($vl_meta_lucratividade, 2, ',', '.') . "%</td>";
                      echo "<td><a target='_blank' href='erpc_financeiro_metas_add.php?id=$id'><i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
                      echo "<td><a target='_blank' href='erpc_financeiro_metas_remove.php?id=$id'><i class='glyphicon glyphicon-remove' title='Excluir'><span class='sr-only'>Editar</span></i></a></td>";
                      echo "</tr>";
              }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
